package examples.dao;

import java.util.List;

import org.seasar.dao.DaoMetaDataFactory;
import org.seasar.dao.impl.AbstractDao;

public class Employee2DaoImpl extends AbstractDao implements Employee2Dao {

	public Employee2DaoImpl(DaoMetaDataFactory daoMetaDataFactory) {
		super(daoMetaDataFactory);
	}

	public List getEmployees(String ename) {
		return getEntityManager().find("ename LIKE ?", "%" + ename + "%");
	}
}